<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
$preenchimento=$sessao->getVar('controle1');
if($preenchimento=='branco'):
    $amostraLong=0;
endif;	
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 //$maximoLAdobe=297;//isso para horizontal
			 //$maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $linha=0;
			 $posicaox1=10;
             $larg1=20;
             $larg2=20;
             $larg3=30;
             $larg4=50;
             $larg5=15;
             $larg6=10;
             $larg7=10;
             $larg8=10;
             $larg9=10;
             $larg10=10;
			 
for($registro=$inicio;$registro<=$final;$registro++):
   $amostraLong=$objetocalculo->AchaIdAmostraTendoRegistro($registro);			 

 			 $userTTAP = new amostras();
             $userTTAP->extras_select =  " WHERE fic_id=".$amostraLong; //esse ja funfa, errado mas funfa
			 $userTTAP->selecionaCampos($userTTAP);
			 $disparaCabecalho=1;
			 //echo("sssssssssql= $userTTAP->extras_select <br>");	
			 $pdf->AddPage();//adicionando a primera pafina 
			 $cota1=6;
			 $pdf->Image('ImagensClientes/imagem_logo_ricetec_H7mmL15mm.jpg',5,$cota1+0.5,11.9,5.3,'JPG');//vai dentro
			 $pdf->SetFont('Arial','B',10);
			 $pdf->setXY(60,$cota1+ 0);   $pdf->Cell(100,5,'RG-LAS-014',0,0,'C');
			 $pdf->setXY(60,$cota1+ 5);   $pdf->Cell(100,5,utf8_decode('Ficha de Análise de sementes.'),0,0,'C');
             //escritas a direita
			 $pdf->SetFont('Arial','',8);
			 $pdf->setXY(145,$cota1+2); $pdf->Cell(60,4,utf8_decode('Edição:13'),0,0,'R');
			 $pdf->setXY(145,$cota1+6); $pdf->Cell(60,4,utf8_decode('Data de aprovação:01/10/2015'),0,0,'R');
//retangulo enegracido
$cota1+=10;
$pdf->rect($margemEsquerda,$cota1,$larguraUtil,11,DF);//d=draw (desenho/borda)  f=fill)			 
 //escritas dentro do retangulo
 $pdf->SetFont('Arial','B',8);
 $pdf->setXY($margemEsquerda+20,$cota1); $pdf->Cell($larguraUtil-20,5,utf8_decode('Laboratório de Análise de Sementes RiceTec Sementes Ltda.'),0,0,'L');
 $pdf->SetFont('Arial','',7);
$pdf->setXY($margemEsquerda+20,$cota1+3); $pdf->Cell($larguraUtil-20,5,utf8_decode('Rua 18 de novembro, 341 - Bairro:Navegantes - CEP:90240-040 -  Porto Alegre.'),0,0,'L');
$pdf->setXY($margemEsquerda+20,$cota1+6); $pdf->Cell($larguraUtil-20,5,utf8_decode('Tel:(51)3205 8840 - Tel/Fax:(51)3205 8810'),0,0,'L');
$pdf->Image('ImagensClientes/imagem_logoH15mm.jpg',15,$cota1+0.5,7.5,10,'JPG');//vai dentro de projeto28php/Imagens
//grande retangulo
$cota1+=13;
$pdf->rect($margemEsquerda,$cota1,$larguraUtil,231,D);
$vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);
$pdf->SetFont('Arial','B',12);	
//primeira linha de dados da amostra
$pdf->setXY($margemEsquerda,$cota1);$pdf->Cell(40,5,'Amostra:'.number_format($vetorCapturaGeral[1]/1000,3,'','').'/'.substr($vetorCapturaGeral[36],2,2),1,0,'L',1); //imprime a amostr
$pdf->SetFont('Arial','B',10);	
$pdf->Cell(35,5,'FSA:'.$vetorCapturaGeral[63],1,0,'L'); //imprime a tta
$pdf->SetFont('Arial','',8);	
$pdf->Cell(55,5,'Data amostragem:'.$vetorCapturaGeral[64],1,0,'L'); //imprime a data amostragem
//segunda linha de dados da amostra
$pdf->setXY($margemEsquerda,$cota1+5);$pdf->Cell(32,5,utf8_decode('Espécie:'.$vetorCapturaGeral[32]),0,0,'L'); //imprime a especie comum
$pdf->SetFont('Arial','I',8);	
$pdf->Cell(32,5,utf8_decode(' ('.$vetorCapturaGeral[30].') '),0,0,'L'); //imprime a especie cientifica
$pdf->SetFont('Arial','',8);	

$pdf->Cell(35,5,utf8_decode('Cultivar:'.utf8_decode($vetorCapturaGeral[31])),1,0,'L'); //imprime a culktivar
$pdf->Cell(31,5,utf8_decode('Categoria:'.utf8_decode($vetorCapturaGeral[33])),1,0,'L'); //imprime a categoria
//tercveira linha de dados da amostra
$pdf->setXY($margemEsquerda,$cota1+10);$pdf->Cell(64,5,utf8_decode('Lote:'.$vetorCapturaGeral[2]),1,0,'L'); //imprime lote
$pdf->Cell(66,5,utf8_decode('Representatividade:'.utf8_decode($vetorCapturaGeral[90])),1,0,'L'); //imprime representatividade
//quarta linha de dados da amostra
$pdf->setXY($margemEsquerda,$cota1+15);$pdf->Cell(64,5,utf8_decode('Safra:'.$vetorCapturaGeral[34]),1,0,'L'); //imprime lote
$pdf->Cell(66,5,utf8_decode('Peso da amostra submetida:'.utf8_decode($vetorCapturaGeral[65]).'gramas'),1,0,'L'); //imprime representatividade
//quinta linha
$pdf->setXY($margemEsquerda,$cota1+21);$pdf->Cell(20,5,'Tratada:',0,0,'L'); //imprime tratada sim nao
$produto=utf8_decode($vetorCapturaGeral[66]);
$v1='';
$v2='';
if(strlen($produto)>3):
  $v1='x';
else:
  $v2='x';
endif;
//se nao tem tratamento
if($preenchimento=="branco"):
	$v1='';
	$v2='';
endif;



$pdf->Cell(4,4,$v1,1,0,'L'); $pdf->Cell(20,4,utf8_decode('sim'),0,0,'L'); //imprime trata
$pdf->Cell(4,4,$v2,1,0,'L'); $pdf->Cell(20,4,utf8_decode('não'),0,1,'L'); //imprime trata
//sexta linha
$produto=utf8_decode($vetorCapturaGeral[66]);
$userbd = new kittratamento();
$userbd->extras_select = "WHERE kit_labo=".$idLabo." && kit_sigla='".$produto."'" ;
$userbd->selecionaTudo($userbd);
$resbd = $userbd->retornaDados();
$conteudo500=$resbd->kit_conteudo500;
//$texto='Produto/princípio ativo/dose:'.$conteudo500;
$cota1+=5;
/////////
//   $vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);
//	$produto=utf8_decode($vetorCapturaGeral[66]);
$userbd = new kittratamento();
$userbd->extras_select = "WHERE kit_labo=".$idLabo." && kit_sigla='".$produto."'" ;
$userbd->selecionaTudo($userbd);
$resbd = $userbd->retornaDados();
	//$conteudo500=$resbd->kit_conteudo500;
$conteudo1='Produto/princípio ativo/dose:'.$resbd->kit_conteudo150a;
$conteudo2=$resbd->kit_conteudo150b;
$conteudo3=$resbd->kit_conteudo150c;
$pdf->setXY(10,$cota1+20);
$pdf->Cell($larguraUtil,3,utf8_decode($conteudo1),0,1,'L'); //imprimir 
$pdf->Cell($larguraUtil,3,utf8_decode($conteudo2),0,1,'L'); //imprimir 
$pdf->Cell($larguraUtil,3,utf8_decode($conteudo3),0,1,'L'); //imprimir 


$pdf->line($margemEsquerda,$cota1+15,$margemDireita,$cota1+15);//linha horizontal fechando antes do tratamento
$pdf->line($margemEsquerda,$cota1+30,$margemDireita,$cota1+30);//linha horizontalfechando dados ficha



//setor das analises
$posicao=142;
$t1='';//germ
$t2='';//env
$t3='';//pureza
$t4='';//dormencia
$t5='';//dosn
$t6='';//sem casca abertta
$t7='';//frio
$t8='';//pms

//aqui organiza para que ao nao marcar pureza o programa mata os campos de pureza mesma coisa dosn e pms


$t3_deful='-O-';//pureza
$t8_deful='-O-';//pms
$t5_deful='-O-';//dos
$t6_deful='-O-';//semente com casca aberta
if($preenchimento=="branco"):
	$t3_deful='';//pureza
	$t8_deful='';//pms
	$t5_deful='';//dos
	$t6_deful='';//semente com casca aberta
endif;


//$pdf->setXY($margemEsquerda,$cota1+95);//era95
$lista=$vetorCapturaGeral[44];
list($c[1],$c[2],$c[3],$c[4],$c[5],$c[6],$c[7],$c[8],$c[9],$c[10])=explode(";",$lista);
for($i=1;$i<=10;$i++):
  if($c[$i]=="PUR"):
      $t3='x';//pureza
      $t3_deful='';//pureza
  endif;	  
  if($c[$i]=="GER")$t1='x';//pureza
  if($c[$i]=="EAC")$t2='x';//ENV
  if($c[$i]=="PMS"):
     $t8='x';//PMS
     $t8_deful='';//PMS
  endif;	 
  if($c[$i]=="DOS"):
     $t5='x';//DOS
     $t5_deful='';//DOS
  endif; 	 
  if($c[$i]=="FRI")$t7='x';//FRI
  if($c[$i]=="SCA"):
     $t6='x';//SEMENTE COM CASCA ABERTA
     $t6_deful='';//SEMENTE COM CASCA ABERTA
  endif;	 
  if($c[$i]=="SDO")$t4='x';//SUPRESSAO DE DORMENCIA

endfor;




$pdf->setXY($posicao,$cota1-5);$pdf->Cell(5,5,$t1,1,0,'L'); $pdf->Cell(25,5,utf8_decode('Germinação'),0,0,'L'); 
$pdf->Cell(5,5,$t2,1,0,'L'); $pdf->Cell(25,5,utf8_decode('Env.Acelerado'),0,0,'L'); 
$pdf->setXY($posicao,$cota1-0);$pdf->Cell(5,5,$t3,1,0,'L'); $pdf->Cell(25,5,utf8_decode('A. de Pureza'),0,0,'L'); 
$pdf->Cell(5,5,$t4,1,0,'L'); $pdf->Cell(25,5,utf8_decode('Sup.dormência'),0,0,'L'); 
$pdf->setXY($posicao,$cota1+5);$pdf->Cell(5,5,$t5,1,0,'L'); $pdf->Cell(25,5,utf8_decode('D.O.S.N.'),0,0,'L'); 
$pdf->Cell(5,5,$t6,1,0,'L'); $pdf->Cell(25,5,utf8_decode('Sem.Casca Aberta'),0,0,'L'); 
$pdf->setXY($posicao,$cota1+10);$pdf->Cell(5,5,$t7,1,0,'L'); $pdf->Cell(25,5,utf8_decode('Teste Frio'),0,0,'L'); 
$pdf->Cell(5,5,$t8,1,0,'L'); $pdf->Cell(25,5,utf8_decode('Peso Mil Sementes'),0,0,'L'); 

//se é para preencher em branco
$datax=date("d/m/Y",strtotime($vetorCapturaGeral[36]));
if($preenchimento=='branco'):
    $datax='';
endif;	
$pdf->setXY($margemEsquerda,$cota1+30);$pdf->Cell(50,5,'Recebida em:'.$datax,1,0,'L');
$pdf->Cell(144,5,utf8_decode('Laudo/Data/Rubrica:'),1,0,'L'); 

$pdf->setXY($margemEsquerda,$cota1+37);$pdf->Cell(194,5,utf8_decode('HOMOGENEIZAÇÃO DA AMOSTRA EM:____/____/____   Peso DOSN:_______ (  )BL-LAS-001   (  )BL-LAS-003 Rubrica:'),1,0,'L',1);
$pdf->setXY($margemEsquerda,$cota1+44);$pdf->Cell(194,5,utf8_decode('ANÁLISE DE PUREZA em 70gramas EM:____/____/____    (  )BL-LAS-002   (  )BL-LAS-004 Rubrica:'),1,0,'L',1);

//setor da pureza
$cota1+=49;
$largo1=35;	 $largo2=13;	 $largo3=15;	 $largo4=15;	 $largo5=17;
//primeira linha
$pdf->SetXY($margemEsquerda,$cota1);
$pdf->Cell($largo1,4.5,'',1,0,'L');	
$pdf->Cell($largo2,4.5,'g',1,0,'C');	
$pdf->Cell($largo3,4.5,'%',1,0,'C');	
$pdf->Cell($largo4,4.5,'g',1,0,'C');	
$pdf->Cell($largo5,4.5,'%',1,0,'C');	
$pdf->Cell(90,4.5,'Natureza do Material Inerte:',0,0,'L');
	
//segunda linha
$pdf->SetXY($margemEsquerda,$cota1+4.5);
$pdf->Cell($largo1,4.5,'Amostra de trabalho',1,0,'L');	
$pdf->Cell($largo2,4.5,$t3_deful,1,0,'C');	
$pdf->Cell($largo3,4.5,$t3_deful,1,0,'C');	
$pdf->Cell($largo4,4.5,$t3_deful,1,0,'C');	
$pdf->Cell($largo5,4.5,$t3_deful,1,0,'C');	
$pdf->Cell(80,4.5,$t3_deful,0,0,'C');//coloca -0- em nat.mat.inerte, se nao marcou pureza	

//TERCEIRA linha
$pdf->SetXY($margemEsquerda,$cota1+9);
$pdf->Cell($largo1,4.5,'Sementes Puras',1,0,'L');	
$pdf->Cell($largo2,4.5,'',1,0,'L');	
$pdf->Cell($largo3,4.5,'',1,0,'L');	
$pdf->Cell($largo4,4.5,'',1,0,'L');	
$pdf->Cell($largo5,4.5,'',1,0,'L');	
//QUARTA linha
$pdf->line(105,$cota1+13.5,$margemDireita,$cota1+13.5);//linha semaradora antes de outras sementes
$pdf->SetXY($margemEsquerda,$cota1+13.5);
$pdf->Cell($largo1,4.5,'Outras sementes',1,0,'L');	
$pdf->Cell($largo2,4.5,'',1,0,'L');	
$pdf->Cell($largo3,4.5,'',1,0,'L');	
$pdf->Cell($largo4,4.5,'',1,0,'L');	
$pdf->Cell($largo5,4.5,'',1,0,'L');	
$pdf->Cell(90,4.5,'Outras sementes:',0,0,'L');	
//QUINTA linha
$pdf->SetXY($margemEsquerda,$cota1+18);
$pdf->Cell($largo1,4.5,'Material inerte',1,0,'L');	
$pdf->Cell($largo2,4.5,'',1,0,'L');	
$pdf->Cell($largo3,4.5,'',1,0,'L');	
$pdf->Cell($largo4,4.5,'',1,0,'L');	
$pdf->Cell($largo5,4.5,'',1,0,'L');	
$pdf->Cell(80,4.5,$t3_deful,0,0,'C');//coloca -0- em nat.mat.inerte, se nao marcou pureza	
$pdf->line(105,$cota1+27,$margemDireita,$cota1+27);//linha que fecha setor pureza
//SEXTA linha
$pdf->SetXY($margemEsquerda,$cota1+22.5);
$pdf->Cell($largo1,4.5,'Peso final',1,0,'L');	
$pdf->Cell($largo2,4.5,'',1,0,'L');	
$pdf->Cell($largo3,4.5,'',1,0,'L');	
$pdf->Cell($largo4,4.5,'',1,0,'L');	
$pdf->Cell($largo5,4.5,'',1,0,'L');	

$cota1+=29;
 $pdf->setXY($margemEsquerda,$cota1);
 $pdf->cell(194,4.5,utf8_decode('DETERMINAÇÃO DE OUTRAS SEMENTES POR NÚMERO: em 700g EM:____/____/____    Rubrica:'),1,1,'L',1);


 $largura1=55;	 
 $largura2=55;	 
 $largura3=82; 
 $pdf->setXY($margemEsquerda,$cota1+4.5); 
 $pdf->cell($largura1,8,utf8_decode('Outras espécies cultivadas em 70 gramas'),1,0,'C');	 
 $pdf->cell($largura2,8,utf8_decode('Sementes silvestres em 70 gramas'),1,0,'C');	 
 $pdf->cell($largura3,4.5,utf8_decode('Sementes nocivas em 700 gramas '),0,0,'C');	 
 $pdf->setXY(120,$cota1+9); 
 $pdf->cell($largura3,4.5,utf8_decode('NT                                          NP'),0,0,'C');	
 //imprime valor deFul se nao foi marcado DOSN
 $pdf->setXY($margemEsquerda,$cota1+15); 
 $pdf->cell($largura1,8,$t5_deful,0,0,'C');	 
 $pdf->cell($largura2,8,$t5_deful,0,0,'C');	 
 $pdf->cell(40,8,$t5_deful,0,0,'C');	 
 $pdf->cell(40,8,$t5_deful,0,0,'C');	 
 
 
 //imprime 4 caixas brancas de 22 de alturs 
 $pdf->setXY($margemEsquerda,$cota1+12.5); 
 $pdf->cell($largura1,22,' ',1,0,'C');	 
 $pdf->cell($largura2,22,' ',1,0,'C');	 
 $pdf->cell(39,22,' ',1,0,'C');	 
 $pdf->cell(45,22,' ',1,0,'C');	 
 $pdf->setXY($margemEsquerda,$cota1+34.5); 
 $pdf->cell($largura1,5,'Total:',1,0,'L');	 
 $pdf->cell($largura2,5,'Total:',1,0,'L');	 
 $pdf->cell(39,5,'Total:',1,0,'L');	 
 $pdf->cell(45,5,'Total:',1,0,'L');	 
//TESTE DE GERMINACAO//////////////////////////////// 

 ################inicio da parte de GERMINACAO########################################
$pdf->SetFont('Arial','B',7);
$cota1+=41;
$guardarCota1=$cota1;
$pdf->setXY($margemEsquerda,$cota1); 
$pdf->cell($larguraUtil,5,utf8_decode('TESTE DE GERMINAÇÃO:'),1,0,'L',1);	 

//aqui vai repetir a metade da eauerdapara a metade da direita
for($r=1;$r<=2;$r++):
    $cota1=$guardarCota1;
	if($r==1)$posicaoMargem=$margemEsquerda;
	if($r==2)$posicaoMargem=110;
	$largura1=47;
	$pdf->setXY($posicaoMargem,$cota1+5); //primeira linha
	$pdf->cell($largura1,5,utf8_decode('Inicio:'),1,0,'L');	 
	$pdf->cell($largura1,5,utf8_decode('Término:'),1,0,'L');	 
	$pdf->setXY($posicaoMargem,$cota1+10); //sgunda linha
	$pdf->cell($largura1,5,utf8_decode('Substrato:'),1,0,'L');	 
	$pdf->cell($largura1,5,utf8_decode('Nºde dias:'),1,0,'L');	 
	 $pdf->setXY($posicaoMargem,$cota1+15);//terceira linha
	 $pdf->cell($largura1,4.5,'Temperatura:',1,0,'L');
	 $pdf->cell($largura1,4.5,'Contagens:',1,0,'L');
	 $pdf->setXY($posicaoMargem,$cota1+20);//quarta linha
	 $pdf->cell($largura1*2,5,'Tratamento:',1,0,'L');
	 $pdf->setXY($posicaoMargem,$cota1+25);//quinta linha
	 $pdf->SetFont('Arial','',6);
	 $pdf->cell($largura1*2,5,'( )BD-LAS-001 ( )BD-LAS-002 ( )BD-LAS-003 ( )BD-LAS-004 ( )BD-LAS-005 ( )ES-LAS-001',1,0,'L');

	 //SEGUNDO SETOR (CONTAGENS)
	$largura1=18;
	$largura2=15;
	$largura3=16;
	$pdf->setXY($posicaoMargem,$cota1+32);//sexta linha
	$pdf->SetFont('Arial','B',6);
	$pdf->cell($largura1,5,'Data Contagem',1,0,'C');
	$pdf->SetFont('Arial','B',7);
	$pdf->cell($largura2,5,'A( )',1,0,'C');
	$pdf->cell($largura2,5,'B( )',1,0,'C');
	$pdf->cell($largura2,5,'C( )',1,0,'C');
	$pdf->cell($largura2,5,'D( )',1,0,'C');
	$pdf->cell($largura3,5,utf8_decode('Média'),1,0,'C');
	//primeiro conjunto de caixas
	$cota1+=17;
	for($i=1;$i<=4;$i++):
	    $cota1+=15; 
		$pdf->setXY($posicaoMargem,$cota1+5);//setima linha
		$pdf->cell($largura1,5,'',1,0,'C');
		$pdf->cell($largura2,5,'',1,0,'C');
		$pdf->cell($largura2,5,'',1,0,'C');
		$pdf->cell($largura2,5,'',1,0,'C');
		$pdf->cell($largura2,5,'',1,0,'C');
		$pdf->cell($largura3,10,'',1,0,'C');
		$pdf->setXY($posicaoMargem,$cota1+10);//oitava linha
		$pdf->cell($largura1,5,'',1,0,'C');
		$pdf->cell($largura2,5,'',1,0,'C');
		$pdf->cell($largura2,5,'',1,0,'C');
		$pdf->cell($largura2,5,'',1,0,'C');
		$pdf->cell($largura2,5,'',1,0,'C');
		$pdf->setXY($posicaoMargem,$cota1+15);//nona linha
		$pdf->cell($largura1,5,'Total:',1,0,'L',1);
		$pdf->cell($largura2,5,'',1,0,'C',1);
		$pdf->cell($largura2,5,'',1,0,'C',1);
		$pdf->cell($largura2,5,'',1,0,'C',1);
		$pdf->cell($largura2,5,'',1,0,'C',1);
		$pdf->cell($largura3,5,'',1,0,'C',1);
	endfor;//este endfor repete as caixas e onde tem o total
	$pdf->setXY($posicaoMargem,$cota1+20);//sexta linha
	$pdf->cell(94,5,utf8_decode('Presença de fungos: Não( )    Baixa( )    Média( )    Alta( )'),1,0,'L');
endfor;//este endfor repete a metade da esqueda para a metade da direita
//vai colocar a figura normais/anosrmais
$pdf->Image('ImagensClientes/imagem_ricetec_ficha_normais_anormais.jpg',4.4,$cota1-40,5.6,54.8,'JPG');//vai dentro de projeto28php/Imagens
//vai colocar as caixinhas
$cota1-=55;
for($i=1;$i<=4;$i++):
    $cota1+=15;
	$pdf->setXY(4,$cota1); 
	$pdf->cell(6,15,'',1,0,'R');	 
endfor;
//vai colocar a figura reteste
$pdf->Image('ImagensClientes/imagem_ricetec_ficha_reteste.jpg',104,$cota1-76.5,5,96.6,'JPG');//vai dentro de projeto28php/Imagens


$pdf->setXY($margemEsquerda,$cota1+20); 
$pdf->cell($larguraUtil,5,utf8_decode('DETERMINAÇÕES ADICIONAIS:'),1,0,'L',1);	 
$pdf->setXY($margemEsquerda,$cota1+25); 
$pdf->cell($larguraUtil/2,5,utf8_decode('Sementes com casca aberta(nº em 70 gramas):')."     ".$t6_deful,1,0,'L');	 
$pdf->cell($larguraUtil/2,5,utf8_decode('Peso de mil sementes(em gramas):')."     ".$t8_deful,1,0,'L');	 

$pdf->setXY($margemEsquerda,$cota1+35); 
$pdf->cell($larguraUtil/2,5,utf8_decode('Data___/___/___'),0,0,'L');	 
$pdf->cell($larguraUtil/2,5,utf8_decode('RT:___________________________________________________'),0,0,'L');	 

$pdf->setXY($margemEsquerda,$cota1+43); 
$pdf->cell(90,3,utf8_decode('Elaborado por:SILAS                                                    Página: 1 de 2 '),0,0,'L');	 
$pdf->setXY(114,$cota1+43); 
$pdf->cell(90,3,utf8_decode('Aprovado por: Juliana Trinca'),0,0,'R');
	 
/////////////////////////////#######################???????????????????????????????
/////////////////////////////#######################???????????????????????????????
/////////////////////////////#######################???????????????????????????????
/////////////////////////////#######################???????????????????????????????
//FINAL DA PRIMEIRA PAGINA E INICIO DA SEGUNDA
			 $pdf->AddPage();//adicionando a primera pafina 
			 $pdf->SetFont('Arial','B',10);
			$cota1=17;
			$pdf->rect($margemEsquerda,$cota1,$larguraUtil,240,D);




			 $cota1=4;
			 $pdf->setXY(60,$cota1+ 0);   $pdf->Cell(100,5,'RG-LAS-014',0,0,'C');
			 $pdf->setXY(60,$cota1+ 5);   $pdf->Cell(100,5,utf8_decode('Ficha de Análise de sementes'),0,0,'C');
             //escritas a direita
			 $pdf->SetFont('Arial','',8);
			 $pdf->setXY(145,$cota1+2); $pdf->Cell(60,4,utf8_decode('Edição:13'),0,0,'R');
			 $pdf->setXY(145,$cota1+6); $pdf->Cell(60,4,utf8_decode('Data de aprovação:01/10/2015'),0,0,'R');
			 
 //escritas dentro do retangulo
 $pdf->SetFont('Arial','B',7);
 $pdf->Image('ImagensClientes/imagem_logo_ricetec_H7mmL15mm.jpg',5,$cota1+0.5,11.9,5.3,'JPG');//vai dentro
 ################inicio da parte de GERMINACAO########################################
$cota1=14;
$guardarCota1=$cota1;
$pdf->setXY($margemEsquerda,$cota1); 
$pdf->cell($larguraUtil,5,utf8_decode('TESTE DE VIGOR:'),1,0,'L',1);	 

//aqui vai repetir a metade da eauerdapara a metade da direita
for($r=1;$r<=2;$r++):
    $cota1=$guardarCota1;
	if($r==1)$posicaoMargem=$margemEsquerda;
	if($r==2)$posicaoMargem=110;
	$largura1=47;
	$pdf->setXY($posicaoMargem,$cota1+5); //primeira linha
	$pdf->cell($largura1,5,utf8_decode('Inicio:'),1,0,'L');	 
	$pdf->cell($largura1,5,utf8_decode('Término:'),1,0,'L');	 
	$pdf->setXY($posicaoMargem,$cota1+10); //sgunda linha
	$pdf->cell($largura1,5,utf8_decode('Substrato:'),1,0,'L');	 
	$pdf->cell($largura1,5,utf8_decode('Nºde dias:'),1,0,'L');	 
	 $pdf->setXY($posicaoMargem,$cota1+15);//terceira linha
	 $pdf->cell($largura1,4.5,'Temperatura:',1,0,'L');
	 $pdf->cell($largura1,4.5,'Contagens:',1,0,'L');
	 $pdf->setXY($posicaoMargem,$cota1+20);//quarta linha
	 $pdf->cell($largura1*2,5,'Tratamento:',1,0,'L');
	 $pdf->setXY($posicaoMargem,$cota1+25);//quinta linha
	 $pdf->SetFont('Arial','',6);
	 $pdf->cell($largura1*2,5,'( )BD-LAS-001 ( )BD-LAS-002 ( )BD-LAS-003 ( )BD-LAS-004 ( )BD-LAS-005 ( )ES-LAS-001',1,0,'L');


	 //SEGUNDO SETOR (CONTAGENS)
	$largura1=18;
	$largura2=15;
	$largura3=16;
	$pdf->setXY($posicaoMargem,$cota1+32);//sexta linha
	$pdf->SetFont('Arial','B',6);
	$pdf->cell($largura1,5,'Data Contagem',1,0,'C');
	$pdf->SetFont('Arial','B',7);
	$pdf->cell($largura2,5,'A( )',1,0,'C');
	$pdf->cell($largura2,5,'B( )',1,0,'C');
	$pdf->cell($largura2,5,'C( )',1,0,'C');
	$pdf->cell($largura2,5,'D( )',1,0,'C');
	$pdf->cell($largura3,5,utf8_decode('Média'),1,0,'C');
	//primeiro conjunto de caixas
	$cota1+=17;
	for($i=1;$i<=4;$i++):
	    $cota1+=15; 
		$pdf->setXY($posicaoMargem,$cota1+5);//setima linha
		$pdf->cell($largura1,5,'',1,0,'C');
		$pdf->cell($largura2,5,'',1,0,'C');
		$pdf->cell($largura2,5,'',1,0,'C');
		$pdf->cell($largura2,5,'',1,0,'C');
		$pdf->cell($largura2,5,'',1,0,'C');
		$pdf->cell($largura3,10,'',1,0,'C');
		$pdf->setXY($posicaoMargem,$cota1+10);//oitava linha
		$pdf->cell($largura1,5,'',1,0,'C');
		$pdf->cell($largura2,5,'',1,0,'C');
		$pdf->cell($largura2,5,'',1,0,'C');
		$pdf->cell($largura2,5,'',1,0,'C');
		$pdf->cell($largura2,5,'',1,0,'C');
		$pdf->setXY($posicaoMargem,$cota1+15);//nona linha
		$pdf->cell($largura1,5,'Total:',1,0,'L',1);
		$pdf->cell($largura2,5,'',1,0,'C',1);
		$pdf->cell($largura2,5,'',1,0,'C',1);
		$pdf->cell($largura2,5,'',1,0,'C',1);
		$pdf->cell($largura2,5,'',1,0,'C',1);
		$pdf->cell($largura3,5,'',1,0,'C',1);
	endfor;//este endfor repete as caixas e onde tem o total
	$pdf->setXY($posicaoMargem,$cota1+20);//sexta linha
	$pdf->cell(94,5,utf8_decode('Presença de fungos: Não( )    Baixa( )    Média( )    Alta( )'),1,0,'L');
endfor;//este endfor repete a metade da esqueda para a metade da direita
//vai colocar a figura normais/anosrmais
$pdf->Image('ImagensClientes/imagem_ricetec_ficha_normais_anormais.jpg',4.4,$cota1-40,5.6,54.8,'JPG');//vai dentro de projeto28php/Imagens
//vai colocar as caixinhas
$cota1-=55;
for($i=1;$i<=4;$i++):
    $cota1+=15;
	$pdf->setXY(4,$cota1); 
	$pdf->cell(6,15,'',1,0,'R');	 
endfor;
//vai colocar a figura reteste
$pdf->Image('ImagensClientes/imagem_ricetec_ficha_reteste.jpg',104,$cota1-76.5,5,96.6,'JPG');//vai dentro de projeto28php/Imagens




////////////////////////////SEGUNDA REPETICAO DO VERSO
 ################inicio da parte de GERMINACAO########################################
  $pdf->SetFont('Arial','B',7);
$cota1=120;
$guardarCota1=$cota1;
$pdf->setXY($margemEsquerda,$cota1); 
$pdf->cell($larguraUtil,5,utf8_decode('TESTE DE '),1,0,'L',1);	 
//aqui vai repetir a metade da eauerdapara a metade da direita
for($r=1;$r<=2;$r++):
    $cota1=$guardarCota1;
	if($r==1)$posicaoMargem=$margemEsquerda;
	if($r==2)$posicaoMargem=110;
	$largura1=47;
	$pdf->setXY($posicaoMargem,$cota1+5); //primeira linha
	$pdf->cell($largura1,5,utf8_decode('Inicio:'),1,0,'L');	 
	$pdf->cell($largura1,5,utf8_decode('Término:'),1,0,'L');	 
	$pdf->setXY($posicaoMargem,$cota1+10); //sgunda linha
	$pdf->cell($largura1,5,utf8_decode('Substrato:'),1,0,'L');	 
	$pdf->cell($largura1,5,utf8_decode('Nºde dias:'),1,0,'L');	 
	 $pdf->setXY($posicaoMargem,$cota1+15);//terceira linha
	 $pdf->cell($largura1,4.5,'Temperatura:',1,0,'L');
	 $pdf->cell($largura1,4.5,'Contagens:',1,0,'L');
	 $pdf->setXY($posicaoMargem,$cota1+20);//quarta linha
	 $pdf->cell($largura1*2,5,'Tratamento:',1,0,'L');
	 $pdf->setXY($posicaoMargem,$cota1+25);//quinta linha
	 $pdf->SetFont('Arial','',6);
	 $pdf->cell($largura1*2,5,'( )BD-LAS-001 ( )BD-LAS-002 ( )BD-LAS-003 ( )BD-LAS-004 ( )BD-LAS-005 ( )ES-LAS-001',1,0,'L');
	 //SEGUNDO SETOR (CONTAGENS)
	$largura1=18;
	$largura2=15;
	$largura3=16;
	$pdf->setXY($posicaoMargem,$cota1+32);//sexta linha
	$pdf->SetFont('Arial','B',6);
	$pdf->cell($largura1,5,'Data Contagem',1,0,'C');
	$pdf->SetFont('Arial','B',7);
	$pdf->cell($largura2,5,'A( )',1,0,'C');
	$pdf->cell($largura2,5,'B( )',1,0,'C');
	$pdf->cell($largura2,5,'C( )',1,0,'C');
	$pdf->cell($largura2,5,'D( )',1,0,'C');
	$pdf->cell($largura3,5,utf8_decode('Média'),1,0,'C');
	//primeiro conjunto de caixas
	$cota1+=17;
	for($i=1;$i<=4;$i++):
	    $cota1+=15; 
		$pdf->setXY($posicaoMargem,$cota1+5);//setima linha
		$pdf->cell($largura1,5,'',1,0,'C');
		$pdf->cell($largura2,5,'',1,0,'C');
		$pdf->cell($largura2,5,'',1,0,'C');
		$pdf->cell($largura2,5,'',1,0,'C');
		$pdf->cell($largura2,5,'',1,0,'C');
		$pdf->cell($largura3,10,'',1,0,'C');
		$pdf->setXY($posicaoMargem,$cota1+10);//oitava linha
		$pdf->cell($largura1,5,'',1,0,'C');
		$pdf->cell($largura2,5,'',1,0,'C');
		$pdf->cell($largura2,5,'',1,0,'C');
		$pdf->cell($largura2,5,'',1,0,'C');
		$pdf->cell($largura2,5,'',1,0,'C');
		$pdf->setXY($posicaoMargem,$cota1+15);//nona linha
		$pdf->cell($largura1,5,'Total:',1,0,'L',1);
		$pdf->cell($largura2,5,'',1,0,'C',1);
		$pdf->cell($largura2,5,'',1,0,'C',1);
		$pdf->cell($largura2,5,'',1,0,'C',1);
		$pdf->cell($largura2,5,'',1,0,'C',1);
		$pdf->cell($largura3,5,'',1,0,'C',1);
	endfor;//este endfor repete as caixas e onde tem o total
	$pdf->setXY($posicaoMargem,$cota1+20);//sexta linha
	$pdf->cell(94,5,utf8_decode('Presença de fungos: Não( )    Baixa( )    Média( )    Alta( )'),1,0,'L');
endfor;//este endfor repete a metade da esqueda para a metade da direita
//vai colocar a figura normais/anosrmais
$pdf->Image('ImagensClientes/imagem_ricetec_ficha_normais_anormais.jpg',4.4,$cota1-40,5.6,54.8,'JPG');//vai dentro de projeto28php/Imagens
//vai colocar as caixinhas
$cota1-=55;
for($i=1;$i<=4;$i++):
    $cota1+=15;
	$pdf->setXY(4,$cota1); 
	$pdf->cell(6,15,'',1,0,'R');	 
endfor;
//vai colocar a figura reteste
$pdf->Image('ImagensClientes/imagem_ricetec_ficha_reteste.jpg',104,$cota1-76.5,5,96.6,'JPG');//vai dentro de projeto28php/Imagens

//observacoes na segunda pagina
$pdf->setXY($margemEsquerda,$cota1+27); 
$pdf->cell($larguraUtil,5,utf8_decode('OBSERVAÇÕES:'),1,0,'L',1);
$pdf->setXY($margemEsquerda,$cota1+32); 
$pdf->cell($larguraUtil,5,utf8_decode($vetorCapturaGeral[37]),0,0,'L');

	 
$cota1=230;
$pdf->setXY($margemEsquerda,$cota1+40); 
$pdf->cell($larguraUtil/2,5,utf8_decode('Data___/___/___'),0,0,'L');	 
$pdf->cell($larguraUtil/2,5,utf8_decode('RT:___________________________________________________'),0,0,'L');	 



$pdf->setXY($margemEsquerda,$cota1+48); 
$pdf->cell(90,3,utf8_decode('Elaborado por:SILAS                                                    Página: 2 de 2 '),0,0,'L');	 
$pdf->setXY(114,$cota1+48); 
$pdf->cell(90,3,utf8_decode('Aprovado por: Juliana Trinca'),0,0,'R');	 

endfor;//aqui fecha o for que imprime varias fichas



ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
?>
